aboutsummaryrefslogtreecommitdiff
path: root/linux
diff options
context:
space:
mode:
authorJoshua M. Boniface <joshua@boniface.me>2024-02-11 14:34:21 -0500
committerJoshua M. Boniface <joshua@boniface.me>2024-02-11 14:35:17 -0500
commit356439e9a049077a1031330aa33f0c5f3f8a41af (patch)
treea7e174df9fe9a0e403a52656130975107368fac4 /linux
parentRemove blank line (diff)
downloadjellyfin-packaging-356439e9a049077a1031330aa33f0c5f3f8a41af.tar.gz
jellyfin-packaging-356439e9a049077a1031330aa33f0c5f3f8a41af.tar.bz2
jellyfin-packaging-356439e9a049077a1031330aa33f0c5f3f8a41af.zip
Add portable linux build
Diffstat (limited to 'linux')
l---------linux/Dockerfile1
-rwxr-xr-xlinux/build.sh37
2 files changed, 38 insertions, 0 deletions
diff --git a/linux/Dockerfile b/linux/Dockerfile
new file mode 120000
index 0000000..3bf4a35
--- /dev/null
+++ b/linux/Dockerfile
@@ -0,0 +1 @@
+../portable/Dockerfile \ No newline at end of file
diff --git a/linux/build.sh b/linux/build.sh
new file mode 100755
index 0000000..8af10ee
--- /dev/null
+++ b/linux/build.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+#= Debian .deb builder
+
+set -o errexit
+set -o xtrace
+
+# Create the intermediate build dir
+BUILD_DIR="/build"
+mkdir -p ${BUILD_DIR}
+
+# Move to source directory
+pushd "${SOURCE_DIR}"
+
+# Build server
+pushd jellyfin-server
+dotnet publish Jellyfin.Server --configuration Release --self-contained --runtime linux-${DARCH} --output ${BUILD_DIR}/ -p:DebugSymbols=false -p:DebugType=none -p:UseAppHost=false
+popd
+
+# Build web
+pushd jellyfin-web
+npm ci --no-audit --unsafe-perm
+npm run build:production
+mv dist ${BUILD_DIR}/jellyfin-web
+popd
+
+mkdir -p "${ARTIFACT_DIR}/"
+
+pushd ${BUILD_DIR}
+tar -czf "${ARTIFACT_DIR}"/jellyfin_${JVERS}-${PARCH}.tar.gz .
+popd
+
+# Clean up any lingering artifacts
+make -f debian/rules clean
+rm -rf ${BUILD_DIR}
+
+popd
bgstack15